<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="#F4F5F9"
        android:orientation="vertical"
        tools:ignore="UselessParent">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/white">


            <FrameLayout
                android:id="@+id/fl_back"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="20dp"
                android:padding="8dp"
                app:layout_constraintBottom_toBottomOf="@id/tv_title"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="@id/tv_title">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@mipmap/fanhui"
                    android:tint="@color/black"
                    tools:ignore="ContentDescription,UseAppTint" />

            </FrameLayout>


            <TextView
                android:id="@+id/tv_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="Screenshot Cleaner"
                android:textSize="19sp"
                android:textStyle="bold"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintVertical_bias="0.1"
                tools:ignore="HardcodedText" />

            <FrameLayout
                android:id="@+id/fl_recycle_bin"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="20dp"
                android:layout_marginEnd="16dp"
                android:padding="8dp"
                android:visibility="gone"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintVertical_bias="0.3" />

            <LinearLayout
                android:id="@+id/ll_size"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginStart="16dp"
                android:layout_marginTop="20dp"
                android:orientation="horizontal"
                app:layout_constraintEnd_toEndOf="@id/tv_title"
                app:layout_constraintStart_toStartOf="@id/tv_title"
                app:layout_constraintTop_toBottomOf="@id/tv_title">

                <TextView
                    android:id="@+id/tv_size"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textColor="@color/theme_color"
                    android:textSize="40sp"
                    android:textStyle="bold"
                    tools:text="90.1" />

                <TextView
                    android:id="@+id/tv_unit"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="start"
                    android:includeFontPadding="false"
                    android:textColor="@color/theme_color"
                    android:textSize="16sp"
                    tools:text="MB" />

            </LinearLayout>

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="12dp"
                android:layout_marginBottom="30dp"
                android:text="Screenshots totally"
                android:textColor="#666666"
                android:textSize="15sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="@id/tv_title"
                app:layout_constraintStart_toStartOf="@id/tv_title"
                app:layout_constraintTop_toBottomOf="@id/ll_size"
                tools:ignore="HardcodedText" />

        </androidx.constraintlayout.widget.ConstraintLayout>

        <FrameLayout
            android:id="@+id/fl_ad"
            android:layout_width="match_parent"
            android:layout_height="wrap_content" />

        <FrameLayout
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1">

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager" />

            <LinearLayout
                android:id="@+id/ll_empty"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:orientation="vertical"
                android:visibility="gone"
                tools:ignore="UseCompoundDrawables">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:src="@mipmap/queshengye"
                    tools:ignore="ContentDescription" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:text="No Found File"
                    android:textColor="@color/black"
                    android:textSize="17sp"
                    tools:ignore="HardcodedText" />
            </LinearLayout>

        </FrameLayout>

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="80dp">

            <LinearLayout
                android:id="@+id/ll_select_all"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="30dp"
                android:orientation="vertical"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                tools:ignore="UseCompoundDrawables">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:minWidth="23dp"
                    android:minHeight="23dp"
                    android:src="@drawable/bg_square_selector"
                    tools:ignore="ContentDescription" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Select All"
                    tools:ignore="HardcodedText" />

            </LinearLayout>

            <TextView
                android:id="@+id/tv_clean"
                android:layout_width="266dp"
                android:layout_height="50dp"
                android:background="@drawable/bg_button_enable_selector"
                android:enabled="false"
                android:gravity="center"
                android:text="CLEAN"
                android:textColor="@color/white"
                android:textSize="19sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toEndOf="@id/ll_select_all"
                app:layout_constraintTop_toTopOf="parent"
                tools:ignore="HardcodedText" />

        </androidx.constraintlayout.widget.ConstraintLayout>
    </LinearLayout>


</FrameLayout>